import { Selector, createSelector } from '@ngrx/store';
import { AuthResponse, DeptInfo } from '@ucap-webmessenger/protocol-query';

export interface State {
  auth?: AuthResponse;

  departmentInfoList: DeptInfo[] | null;
}

export const initialState: State = {
  auth: null,
  departmentInfoList: null
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    auth: createSelector(
      selector,
      (state: State) => state.auth
    ),
    departmentInfoList: createSelector(
      selector,
      (state: State) => state.departmentInfoList
    )
  };
}
